[SRU] Add support for the lts-saucy stack

Bug #1262238 reported by Alberto Milone on 2013-12-18
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
fglrx-installer (Ubuntu)
Undecided
Unassigned
Precise
Medium
Alberto Milone
fglrx-installer-experimental-13 (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
fglrx-installer-updates (Ubuntu)
Undecided
Unassigned
Precise
Medium
Alberto Milone

Bug Description

SRU request:

Please accept fglrx and fglrx-updates into precise-proposed.

[Rationale]
The packages need to be compatible with the lts-saucy stack in 12.04.4.

[Impact]
Without this work, the packages won't build against Linux 3.11 and won't be installable when using the backported X stack.

[Test Case]
After installing the update, users should be able to boot the system as usual, with no regressions of any kind.

* without the lts-saucy stack

* with the lts-saucy stack installed

[Regression Potential]
Low. The non -updates flavour is the same driver that we shipped in Saucy. As for the -updates flavour, users expect to receive new drivers if they chose that package.

Changed in fglrx-installer (Ubuntu):
status: New → Invalid
Changed in fglrx-installer-updates (Ubuntu):
status: New → Invalid
Changed in fglrx-installer (Ubuntu Precise):
status: New → In Progress
Changed in fglrx-installer-updates (Ubuntu Precise):
status: New → In Progress
importance: Undecided → Medium
Changed in fglrx-installer (Ubuntu Precise):
importance: Undecided → Medium
assignee: nobody → Alberto Milone (albertomilone)
Changed in fglrx-installer-updates (Ubuntu Precise):
assignee: nobody → Alberto Milone (albertomilone)
Changed in fglrx-installer (Ubuntu Precise):
milestone: none → ubuntu-12.04.4
Changed in fglrx-installer-updates (Ubuntu Precise):
milestone: none → ubuntu-12.04.4
description: updated
summary: - [SRU] Add support for Linux 3.11
+ [SRU] Add support for the lts-saucy stack
description: updated
description: updated

Hello Alberto, or anyone else affected,

Accepted fglrx-installer into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/fglrx-installer/2:13.101-0ubuntu0.0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in fglrx-installer (Ubuntu Precise):
status: In Progress → Fix Committed
tags: added: verification-needed
Changed in fglrx-installer-updates (Ubuntu Precise):
status: In Progress → Fix Committed
Colin Watson (cjwatson) wrote :

Hello Alberto, or anyone else affected,

Accepted fglrx-installer-updates into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/fglrx-installer-updates/2:13.125-0ubuntu0.0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Colin Watson (cjwatson) wrote :

Hello Alberto, or anyone else affected,

Accepted fglrx-installer-experimental-13 into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/fglrx-installer-experimental-13/2:13.300-0ubuntu0.0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in fglrx-installer-experimental-13 (Ubuntu):
status: New → Invalid
Changed in fglrx-installer-experimental-13 (Ubuntu Precise):
status: New → Fix Committed
papukaija (papukaija) wrote :

Precise will have newer version of fglrx-installer-updates than Saucy after this change. Could you please update Saucy's package too? Please see bug 1254442 for the SRU request. Thanks.

Alberto Milone (albertomilone) wrote :

all the drivers build and work correctly here:

:~$ dkms status
fglrx, 13.101, 3.11.0-15-generic, x86_64: installed

:~$ dkms status
fglrx-updates, 13.125, 3.11.0-15-generic, x86_64: installed

:~$ dkms status
fglrx-experimental-13, 13.300, 3.11.0-15-generic, x86_64: installed

:~$ apt-cache policy fglrx
fglrx:
  Installed: 2:13.101-0ubuntu0.0.1
  Candidate: 2:13.101-0ubuntu0.0.1
  Version table:
 *** 2:13.101-0ubuntu0.0.1 0
        400 http://archive.ubuntu.com/ubuntu/ precise-proposed/restricted amd64 Packages
        100 /var/lib/dpkg/status
     2:8.960-0ubuntu1.1 0
        500 http://archive.ubuntu.com/ubuntu/ precise-updates/restricted amd64 Packages
     2:8.960-0ubuntu1 0
        500 http://archive.ubuntu.com/ubuntu/ precise/restricted amd64 Packages

:~$ apt-cache policy fglrx-updates
fglrx-updates:
  Installed: 2:13.125-0ubuntu0.0.1
  Candidate: 2:13.125-0ubuntu0.0.1
  Version table:
 *** 2:13.125-0ubuntu0.0.1 0
        400 http://archive.ubuntu.com/ubuntu/ precise-proposed/restricted amd64 Packages
        100 /var/lib/dpkg/status
     2:12.104-0ubuntu0.0.1 0
        500 http://archive.ubuntu.com/ubuntu/ precise-updates/restricted amd64 Packages
     2:8.960-0ubuntu1 0
        500 http://archive.ubuntu.com/ubuntu/ precise/restricted amd64 Packages

:~$ apt-cache policy fglrx-experimental-13
fglrx-experimental-13:
  Installed: 2:13.300-0ubuntu0.0.1
  Candidate: 2:13.300-0ubuntu0.0.1
  Version table:
 *** 2:13.300-0ubuntu0.0.1 0
        400 http://archive.ubuntu.com/ubuntu/ precise-proposed/restricted amd64 Packages
        100 /var/lib/dpkg/status
     2:13.101-0ubuntu0.0.2 0
        500 http://archive.ubuntu.com/ubuntu/ precise-updates/restricted amd64 Packages

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fglrx-installer - 2:13.101-0ubuntu0.0.1

---------------
fglrx-installer (2:13.101-0ubuntu0.0.1) precise-proposed; urgency=low

  * New upstream release:
    - Add support for AMD A10, A8, A6, and A4 Series APUs.
    - Add GLX_EXT_buffer_age extension support.
    - Add Xserver 1.14 Support.
    - [371937] Fix black screen while entering Team
      Fortress 2 under cinnamon desktop environment.
    - [366812] Fix tearing for some OpenGL applications
      with VSYNC on or off.
    - [373575] Fix taskbar missing after UVD playback
      on Ubuntu 12.04.
    - [370955] Fix corruption in Team Fortress 2 when
      running Dustbowl map.
    - [377199] Fix the error for APL initialization
      failure.
    - [378086] Fix screen corruption when kill X on
      Ubuntu 13.04.
    - [374657] Fix some WebGL conformance test
      failures.
    - [377379] Fix the regression of performance drop
      with XBMC for UVD playback.
  * debian/substvars:
    - Add support for X ABI up to 14 and xservers up to
      xserver-xorg-core-lts-saucy.
  * debian/rules:
    - Sign the driver to remove the watermark.
  * debian/dkms.conf.in, buildfix_kernel_3.12.patch:
    - Add support for Linux 3.12.
    - Add proper support for Linux 3.11 (LP: #1262238).
 -- Alberto Milone <email address hidden> Wed, 18 Dec 2013 17:50:31 +0100

Changed in fglrx-installer (Ubuntu Precise):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for fglrx-installer has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fglrx-installer-updates - 2:13.125-0ubuntu0.0.1

---------------
fglrx-installer-updates (2:13.125-0ubuntu0.0.1) precise-proposed; urgency=low

  * New upstream release:
    - Add support for AMD A10, A8, A6, and A4 Series APUs.
    - Add GLX_EXT_buffer_age extension support.
    - Add Xserver 1.14 Support.
    - [371937] Fix black screen while entering Team
      Fortress 2 under cinnamon desktop environment.
    - [366812] Fix tearing for some OpenGL applications
      with VSYNC on or off.
    - [373575] Fix taskbar missing after UVD playback
      on Ubuntu 12.04.
    - [370955] Fix corruption in Team Fortress 2 when
      running Dustbowl map.
    - [377199] Fix the error for APL initialization
      failure.
    - [378086] Fix screen corruption when kill X on
      Ubuntu 13.04.
    - [374657] Fix some WebGL conformance test
      failures.
    - [377379] Fix the regression of performance drop
      with XBMC for UVD playback.
    - [384861] Ultra slow dota2 fps.
    - [383176] System hang when startx after enable Eyefinity.
    - [383109] System hang when run Unigine Heaven 4.0.
    - [382494] Screen corruption when run C4Engine with
      GL_ARB_texture_array enabled.
    - [384193] Fix the procfs permission issue on kernel 3.10
      and later.
    - [373812] System hang when run some OpenGL stress test.
    - [383430] Glxtest failed with force AA.
    - [383372] Fail to launch cairo-dock.
    - [384509] glClientWaitSync is waiting even when timeout
      is 0.
    - [383573] AC/DC switching is broken.
    - [384194] Tear-Free Desktop sets V-Sync to 30Hz instead
      of 60Hz.
    - [385123] CrossFire aspect observed in CCCLE where it
      should not.
    - [385414] Steam crashes and games hang on a black screen
      when Force AA is on.
    - [387027] Glxtest failed on SLED11 SP3.
    - [382079] MARI crash with weird stack.
    - [387797] X crash when kill X with Xserver 1.13 and 1.14.
    - [389431] Screens are distorted when connecting an
      external monitor on some PowerXpress platform with Intel
      Haswell.
    - [389728] Segfault after disabling display on re-launch
      of CCCLE.
    - [387573] Soft hang and error observed on BasicDebug
      sample for OpenCL when run on x86.
    - [385704] Black window when run glxgears with TWM.
    - [376115] Display corruption when using rotation.
  * debian/control:
    - Add transitional packages for experimental flavours 9, 12,
      and 13.
  * debian/substvars:
    - Add support for X ABI 14 and xserver-xorg-core-lts-saucy.
  * debian/dkms.conf.in, buildfix_kernel_3.12.patch:
    - Add support for Linux 3.12.
    - Add proper support for Linux 3.11 (LP: #1262238).
  * debian/dkms/patches/replace_acpi_table_handler.patch:
    - Fix build issues with Linux >= 3.9.1 (only required
      by driver 13.125).
 -- Alberto Milone <email address hidden> Fri, 20 Dec 2013 12:45:08 +0100

Changed in fglrx-installer-updates (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fglrx-installer-experimental-13 - 2:13.300-0ubuntu0.0.1

---------------
fglrx-installer-experimental-13 (2:13.300-0ubuntu0.0.1) precise-proposed; urgency=low

  * New upstream release (LP: #1272311):
    - Added support for the following products:
      AMD A10-7850K Desktop APU with AMD Radeon R7 Series graphics
      AMD A10-7700K Desktop APU with AMD Radeon R5 Series graphics
  * debian/fglrx.postinst.in:
    Select the discrete card on first installation on intel+amd.
  * debian/dkms.conf.in,
    debian/dkms/patches/buildfix_kernel_3.12.patch,
    debian/dkms/patches/buildfix_kernel_3.13.patch:
    - Add support for Linux 3.11-3.13 (LP: #1262238).
    - Drop replace_old_procfs_calls.patch.
  * debian/fglrx-experimental-13.dirs.in:
    - Add /usr/share/applications
  * debian/substvars:
    - Add support for X ABI 14 and xserver-xorg-core-lts-saucy.
 -- Alberto Milone <email address hidden> Fri, 24 Jan 2014 16:30:19 +0100

Changed in fglrx-installer-experimental-13 (Ubuntu Precise):
status: Fix Committed → Fix Released

I am on ubuntu 12.04.04 LTS. This update causes a severe regression for me. The "[AMD/ATI] RS880M [Mobility Radeon HD 4225/4250]" is not supported by the fglrx version 13 driver!

Alberto Milone (albertomilone) wrote :

@Eduard: please attach the output of the following command:

lspci -n

The device in question is "01:05.0 0300: 1002:9712"

Alberto Milone (albertomilone) wrote :

Apparently both the fglrx and the fglrx-updates package support your card. I suggest that you remove fglrx-experimental-13 and install fglrx-updates

I don't have fglrx-experimental-13 installed. According to "apt-cache show fglrx-updates" the current version is "2:13.125-0ubuntu0.0.1". Interestingly it shows also the older version "2:8.960-0ubuntu1".

Alberto Milone (albertomilone) wrote :

I've just checked AMD's website, and it seems that they support your card only in their legacy driver which, however, doesn't support new xservers.

http://support.amd.com/en-us/download/desktop/legacy?product=Legacy2&os=Linux%20x86_64

That driver should work well with the kernel (Linux 3.2) and xserver (1.11) that come by default in Ubuntu 12.04 (not in the point releases though).

If you download the installer from that page, you can then follow these steps:
1) extract the zip archive
2) Open a terminal and get to the directory where the extracted installer is, then type
sudo sh name_of_the_installer --buildpkg Ubuntu/precise
3) This will build deb packages for you, which you will be able to install (only the fglrx package and the fglrx-amdcccle packages are useful to you)

I hope it helps.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers